> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endaoment.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domestic wire transfer details

> 
    Returns the necessary bank and beneficiary details for making a domestic wire transfer to Endaoment.
    This endpoint provides all the information needed to initiate a domestic wire transfer, including:
    - Beneficiary (Endaoment) details such as name, account number, and address
    - Receiving bank details including routing number, bank name, and address

    No authentication is required as this information is publicly available.
    



## OpenAPI

````yaml https://api.endaoment.org/oas-json get /v1/donation-pledges/wire/details/domestic
openapi: 3.0.0
info:
  title: Endaoment API
  description: The official Endaoment API endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.endaoment.org
    description: Production
security: []
tags: []
paths:
  /v1/donation-pledges/wire/details/domestic:
    get:
      tags:
        - Donation Pledges
      summary: Get domestic wire transfer details
      description: |2-

            Returns the necessary bank and beneficiary details for making a domestic wire transfer to Endaoment.
            This endpoint provides all the information needed to initiate a domestic wire transfer, including:
            - Beneficiary (Endaoment) details such as name, account number, and address
            - Receiving bank details including routing number, bank name, and address

            No authentication is required as this information is publicly available.
            
      operationId: DonationPledgesController_getDomesticPledgeDetails
      parameters: []
      responses:
        '200':
          description: Domestic wire transfer details successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomesticTransferDetailsDto'
components:
  schemas:
    DomesticTransferDetailsDto:
      type: object
      properties:
        beneficiary:
          description: Details about the beneficiary (Endaoment)
          allOf:
            - $ref: '#/components/schemas/BeneficiaryDetailsDto'
        receivingBank:
          description: Details about the receiving bank
          allOf:
            - $ref: '#/components/schemas/ReceivingBankDetailsDto'
      required:
        - beneficiary
        - receivingBank
    BeneficiaryDetailsDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the beneficiary (Endaoment)
          example: Endaoment
        accountNumber:
          type: string
          description: Account number for the wire transfer
          example: '202384704442'
        typeOfAccount:
          type: string
          description: Type of the bank account
          example: Checking
        address:
          type: string
          description: Complete mailing address of the beneficiary
          example: 40 Bernal Heights Boulevard, San Francisco, CA 94110, USA
      required:
        - name
        - accountNumber
        - typeOfAccount
        - address
    ReceivingBankDetailsDto:
      type: object
      properties:
        abaRoutingNumber:
          type: string
          description: ABA routing number for the receiving bank
          example: '091311229'
        name:
          type: string
          description: Name of the receiving bank
          example: Choice Financial Group
        address:
          type: string
          description: Complete mailing address of the receiving bank
          example: 4501 23rd Avenue S Fargo, ND 58104, USA
      required:
        - abaRoutingNumber
        - name
        - address

````